﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_Prefrence>
    @{
        ViewBag.Title = "Index";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Preference
        </h1>
    </div>

    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Preference</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">

            @{
                string error = "";
                string message = "";
                try
                {
                    error = ViewBag.error;
                }
                catch (Exception ex)
                { }
                try
                {
                    message = ViewBag.message;
                }
                catch (Exception ex)
                { }
                if (error != "" && error != null)
                {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert">
                            ×
                        </button>
                        @error
                    </div>
                }
                if (message != "" && message != null)
                {
                    <div class="alert alert-success">
                        <button type="button" class="close" data-dismiss="alert">
                            ×
                        </button>
                        @message
                    </div>
                }



            }
            <div class="btn-toolbar">
                <div class="btn-group">
                </div>
            </div>
         
            <div class="well">


                <table class="table">
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.EMail)
                        </th>
                        <th>
                           Smtp Server
                        </th>
                        <th>
                           Password
                        </th>
                        <th>
                           Port
                        </th>

                        <th>
                         SSL
                        </th>

                        <th>IP Address</th>
                        <th>
                           IELTS Followup Days
                        </th>

                        <th></th>
                    </tr>

                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.EMail)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.SmtpServer)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Password)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Port)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.SSL)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.IPAddress)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FollDays)
                            </td>

                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id }) Edit
                            </td>

                        </tr>
                                    }

                </table>


            </div>
          
        </div>
    </div>
